org.apache.cassandra.db.composites

## Class SimpleSparseInternedCellName

- java.lang.Object
- - org.apache.cassandra.db.composites.AbstractComposite
  - - org.apache.cassandra.db.composites.SimpleSparseCellName
    - - org.apache.cassandra.db.composites.SimpleSparseInternedCellName

All Implemented Interfaces:
  IMeasurableMemory, CellName, Composite

    public class SimpleSparseInternedCellName
    extends SimpleSparseCellName

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.composites.Composite

`Composite.EOC`

### Method Summary

All Methods Instance Methods Concrete Methods
`CellName` `copy(CFMetaData cfm, AbstractAllocator allocator)`
`long` `unsharedHeapSize()`
`long` `unsharedHeapSizeExcludingData()`

### Methods inherited from class org.apache.cassandra.db.composites.SimpleSparseCellName

`clusteringSize, collectionElement, cql3ColumnName, get, isCollectionCell, isSameCQL3RowAs, size, toByteBuffer, withEOC`

### Methods inherited from class org.apache.cassandra.db.composites.AbstractComposite

`dataSize, end, eoc, equals, hashCode, isEmpty, isPrefixOf, isStatic, slice, start`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.db.composites.Composite

`dataSize, end, eoc, isEmpty, isPrefixOf, isStatic, slice, start`

### Method Detail

#### unsharedHeapSizeExcludingData

    public long unsharedHeapSizeExcludingData()

Specified by:
  `unsharedHeapSizeExcludingData` in interface `CellName`
Overrides:
  `unsharedHeapSizeExcludingData` in class `SimpleSparseCellName`

#### unsharedHeapSize

    public long unsharedHeapSize()

Specified by:
  `unsharedHeapSize` in interface `IMeasurableMemory`
Overrides:
  `unsharedHeapSize` in class `SimpleSparseCellName`
Returns:
  the amount of on-heap memory retained by the object that might be reclaimed if the object were reclaimed, i.e. it should try to exclude globally cached data where possible, or counting portions of arrays that are referenced by the object but used by other objects only (e.g. slabbed byte-buffers), etc.

#### copy

    public CellName copy(CFMetaData cfm,
                         AbstractAllocator allocator)

Specified by:
  `copy` in interface `CellName`
Specified by:
  `copy` in interface `Composite`
Overrides:
  `copy` in class `SimpleSparseCellName`